<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('regular_activities', function (Blueprint $table) {
            $table->id();
            $table->string('title')->nullable()->comment("标题");
            $table->date("date")->nullable()->comment("日期");
            $table->string('background')->nullable()->comment("背景图");
            $table->string('sign_qrcode')->nullable()->comment("二维码");
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('regular_activities');
    }
};
